# GimpUi.prop_icon_image_new

    function prop_icon_image_new(config: GObject.Object, property_name: String, icon_size: Gtk.IconSize): Gtk.Widget {
        // Gjs wrapper for gimp_prop_icon_image_new()
    }

Creates a widget to display a icon image representing the value of the specified string property, which should encode an icon name. See gtk_image_new_from_icon_name() for more information.

Since 2.10

config

  Object to which property is attached.

property_name

  Name of string property.

icon_size

  Size of desired icon image.

Returns

  A new Gtk.Image widget.